Issue 121136 - Improve Spreadsheet performance in some area
Improve Spreadsheet performance in some area
Status: CLOSED FIXED
Product: Calc
Classification: Application
Component: open-import
3.4.1
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Wang Lei
: performance
Depends on:
Blocks: 121200 121372
  Show dependency treegraph
 
Reported: 2012-09-28 08:18 UTC by Wang Lei
Modified: 2013-07-12 11:03 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch 1 (4.68 KB, patch)
2012-09-28 08:31 UTC, Wang Lei
no flags Details | Diff
Patch 2 (26.34 KB, patch)
2012-10-09 08:37 UTC, Wang Lei
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Wang Lei 2012-09-28 08:18:18 UTC
Improve Spreadsheet performance in some area
Comment 1 Wang Lei 2012-09-28 08:31:21 UTC
Created attachment 79674 [details]
Patch 1

In Patch 1:
1)Improve loading performance for xls file
 create a new light method, ScTable::SetColWidthOnly() which is only set width of the column. This method should only be called by filter which do not need hanlde the position of drawing object.
 
2)Improve print preview performance
  Now MAXROW is 1,048,576. new SCROW[MAXROW+1] will cause a lot of memory and time. Only create a proper size of array.
Comment 2 Wang Lei 2012-09-28 08:39:09 UTC
Submit revision 1391359 for patch 1
Comment 3 SVN Robot 2012-10-09 08:36:24 UTC
"leiw" committed SVN revision 1395911 into trunk:
#i121136 Improve Spreadsheet performance in some area (Patch 2)\n\n
Comment 4 Wang Lei 2012-10-09 08:37:12 UTC
Created attachment 79751 [details]
Patch 2

Patch 2

In Patch 2:
Improve loading performance for xlsx file by disabling undo in drawlayer during xlsx loading procedure
Comment 5 Wang Lei 2012-10-09 08:41:52 UTC
Submit patch 1 in revision 1391359
Submit patch 2 in revision 1395911
Comment 6 Li Lin Yi 2012-11-27 07:29:49 UTC
Did GUI performance test on r1396491, r1391367, r1390913, comparing the test reault: no downgrade, some xls/xlsx files have 10%+ improvement.
Marked as verified.